Bug 1014341 - Can't configure Huawei E398 LTE/UMTS/GSM Modem for access to internet
Can't configure Huawei E398 LTE/UMTS/GSM Modem for access to internet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: usb_modeswitch (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 14:50 EDT by Mikhail
Modified: 2016-07-30 13:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-30 13:32:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast (4.68 MB, application/ogg)
2016-07-27 10:08 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-10-01 14:50:30 EDT
Demonstration: https://docs.google.com/file/d/0B0nwzlfiB4aQOTM5dk5ZeDJQdHc/edit?usp=sharing

dmesg
[ 8153.859898] usb 2-3: new high-speed USB device number 5 using ehci-pci
[ 8153.975377] usb 2-3: New USB device found, idVendor=12d1, idProduct=14fe
[ 8153.975387] usb 2-3: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[ 8153.975391] usb 2-3: Product: HUAWEI Mobile
[ 8153.975395] usb 2-3: Manufacturer: HUAWEI Technology
[ 8154.021700] usb-storage 2-3:1.0: USB Mass Storage device detected
[ 8154.022707] scsi8 : usb-storage 2-3:1.0
[ 8154.023037] usb-storage 2-3:1.1: USB Mass Storage device detected
[ 8154.025153] scsi9 : usb-storage 2-3:1.1
[ 8154.673213] usb 2-3: USB disconnect, device number 5
[ 8155.026168] usb 2-3: new high-speed USB device number 6 using ehci-pci
[ 8155.141593] usb 2-3: New USB device found, idVendor=12d1, idProduct=1506
[ 8155.141607] usb 2-3: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[ 8155.141615] usb 2-3: Product: HUAWEI Mobile
[ 8155.141622] usb 2-3: Manufacturer: HUAWEI Technology
[ 8155.145379] option 2-3:1.0: GSM modem (1-port) converter detected
[ 8155.146691] usb 2-3: GSM modem (1-port) converter now attached to ttyUSB0
[ 8155.150118] usb 2-3: MAC-Address: 0c:5b:8f:27:9a:64
[ 8155.151164] cdc_ncm 2-3:1.1 wwan0: register 'cdc_ncm' at usb-0000:00:13.2-3, Mobile Broadband Network Device, 0c:5b:8f:27:9a:64
[ 8155.152316] usb-storage 2-3:1.2: USB Mass Storage device detected
[ 8155.156235] scsi10 : usb-storage 2-3:1.2
[ 8155.156563] usb-storage 2-3:1.3: USB Mass Storage device detected
[ 8155.159099] scsi11 : usb-storage 2-3:1.3
[ 8155.260584] systemd-udevd[4129]: renamed network interface wwan0 to wwp0s19f2u3i1
[ 8156.159144] scsi 10:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
[ 8156.164484] sr0: scsi-1 drive
[ 8156.165365] sr 10:0:0:0: Attached scsi CD-ROM sr0
[ 8156.166454] sr 10:0:0:0: Attached scsi generic sg1 type 5
[ 8156.167388] scsi 11:0:0:0: Direct-Access     HUAWEI   TF CARD Storage  2.31 PQ: 0 ANSI: 2
[ 8156.168833] sd 11:0:0:0: Attached scsi generic sg2 type 0
[ 8156.170970] sd 11:0:0:0: [sdb] Attached SCSI removable disk
[ 8156.524613] ISO 9660 Extensions: Microsoft Joliet Level 1
[ 8156.525147] ISOFS: changing to secondary root
[ 8156.525774] SELinux: initialized (dev sr0, type iso9660), uses genfs_contexts

[mikhail@localhost ~]$ lsusb
Bus 002 Device 006: ID 12d1:1506 Huawei Technologies Co., Ltd. E398 LTE/UMTS/GSM Modem/Networkcard
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 002: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 04f2:b1d8 Chicony Electronics Co., Ltd 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

[mikhail@localhost ~]$ ifconfig
lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 1014  bytes 84012 (82.0 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 1014  bytes 84012 (82.0 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

p4p1: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether c8:0a:a9:95:84:65  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

wlp3s0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.1.186  netmask 255.255.255.0  broadcast 0.0.0.0
        inet6 fe80::7ae4:ff:feab:2a86  prefixlen 64  scopeid 0x20<link>
        ether 78:e4:00:ab:2a:86  txqueuelen 1000  (Ethernet)
        RX packets 42085  bytes 26676847 (25.4 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 26140  bytes 6345384 (6.0 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

[
Comment 1 Fedora End Of Life 2015-05-29 05:29:43 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Mikhail 2015-05-29 14:17:51 EDT
$ lsusb
Bus 002 Device 017: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 094: ID 8564:1000 Transcend Information, Inc. JetFlash
Bus 001 Device 093: ID 18d1:4ee2 Google Inc. Nexus 4 (debug)
Bus 001 Device 008: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 001 Device 007: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Bus 001 Device 006: ID 046d:c326 Logitech, Inc. 
Bus 001 Device 004: ID 1a40:0201 Terminus Technology Inc. FE 2.1 7-port Hub
Bus 001 Device 003: ID 2109:2812 VIA Labs, Inc. VL812 Hub
Bus 001 Device 100: ID 12d1:1506 Huawei Technologies Co., Ltd. Modem/Networkcard
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

[74535.256636] usb 1-9.1.5: new high-speed USB device number 96 using xhci_hcd
[74535.330259] usb 1-9.1.5: New USB device found, idVendor=12d1, idProduct=1506
[74535.330262] usb 1-9.1.5: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[74535.330263] usb 1-9.1.5: Product: HUAWEI Mobile
[74535.330264] usb 1-9.1.5: Manufacturer: HUAWEI Technology
[74535.333377] usb-storage 1-9.1.5:1.2: USB Mass Storage device detected
[74535.334648] scsi host10: usb-storage 1-9.1.5:1.2
[74535.336330] usb-storage 1-9.1.5:1.3: USB Mass Storage device detected
[74535.336688] scsi host11: usb-storage 1-9.1.5:1.3
[74535.407059] usbcore: registered new interface driver cdc_ncm
[74535.412497] usbcore: registered new interface driver cdc_wdm
[74535.418118] huawei_cdc_ncm 1-9.1.5:1.1: MAC-Address: 0c:5b:8f:27:9a:64
[74535.418122] huawei_cdc_ncm 1-9.1.5:1.1: setting rx_max = 16384
[74535.418298] huawei_cdc_ncm 1-9.1.5:1.1: setting tx_max = 16384
[74535.420124] huawei_cdc_ncm 1-9.1.5:1.1: cdc-wdm0: USB WDM device
[74535.423082] huawei_cdc_ncm 1-9.1.5:1.1 wwan0: register 'huawei_cdc_ncm' at usb-0000:00:14.0-9.1.5, Huawei CDC NCM device, 0c:5b:8f:27:9a:64
[74535.423304] usbcore: registered new interface driver huawei_cdc_ncm
[74535.440673] huawei_cdc_ncm 1-9.1.5:1.1 wwp0s20u9u1u5i1: renamed from wwan0
[74535.493695] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff8803527e5900
[74535.501615] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74535.509694] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88024405e240
[74535.517603] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88025bbbd000
[74535.525723] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88025bbbd9c0
[74535.533765] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74535.541867] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88053d5f2180
[74535.887849] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74535.895808] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88060a8833c0
[74535.903861] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74535.911766] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff8803527e5900
[74535.919778] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88060a8833c0
[74535.929775] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff8803527e5900
[74535.937831] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74536.342580] scsi 10:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
[74536.342772] scsi 11:0:0:0: Direct-Access     HUAWEI   TF CARD Storage  2.31 PQ: 0 ANSI: 2
[74536.350310] sr 10:0:0:0: [sr0] scsi-1 drive
[74536.350314] cdrom: Uniform CD-ROM driver Revision: 3.20
[74536.352385] sr 10:0:0:0: Attached scsi CD-ROM sr0
[74536.356281] sr 10:0:0:0: Attached scsi generic sg3 type 5
[74536.365041] sd 11:0:0:0: Attached scsi generic sg4 type 0
[74536.374072] sd 11:0:0:0: [sdd] Attached SCSI removable disk
[74536.419708] usbcore: registered new interface driver option
[74536.421397] usbserial: USB Serial support registered for GSM modem (1-port)
[74536.421549] option 1-9.1.5:1.0: GSM modem (1-port) converter detected
[74536.424222] usb 1-9.1.5: GSM modem (1-port) converter now attached to ttyUSB0
[74536.585702] ISO 9660 Extensions: Microsoft Joliet Level 1
[74536.586207] ISOFS: changing to secondary root
Comment 3 Lubomir Rintel 2016-07-27 03:38:32 EDT
Hi.

This is supposed to work with Fedora 24. I'm wondering if you could retest with the updated packages from here:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-494a721a73

Thank you,
Lubo
Comment 4 Mikhail 2016-07-27 10:07:36 EDT
I see a lot of progress since 2013 year:

[164534.015746] usb 1-9.1.2: new high-speed USB device number 10 using xhci_hcd
[164534.089454] usb 1-9.1.2: New USB device found, idVendor=12d1, idProduct=14fe
[164534.089460] usb 1-9.1.2: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[164534.089463] usb 1-9.1.2: Product: HUAWEI Mobile
[164534.089464] usb 1-9.1.2: Manufacturer: HUAWEI Technology
[164534.137994] usb-storage 1-9.1.2:1.0: USB Mass Storage device detected
[164534.138472] scsi host7: usb-storage 1-9.1.2:1.0
[164534.139360] usb-storage 1-9.1.2:1.1: USB Mass Storage device detected
[164534.141915] scsi host8: usb-storage 1-9.1.2:1.1
[164534.847874] usb 1-9.1.2: USB disconnect, device number 10
[164535.095750] usb 1-9.1.2: new high-speed USB device number 11 using xhci_hcd
[164535.169356] usb 1-9.1.2: New USB device found, idVendor=12d1, idProduct=1506
[164535.169360] usb 1-9.1.2: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[164535.169361] usb 1-9.1.2: Product: HUAWEI Mobile
[164535.169363] usb 1-9.1.2: Manufacturer: HUAWEI Technology
[164535.171909] usb-storage 1-9.1.2:1.2: USB Mass Storage device detected
[164535.172049] scsi host7: usb-storage 1-9.1.2:1.2
[164535.172325] usb-storage 1-9.1.2:1.3: USB Mass Storage device detected
[164535.174360] scsi host8: usb-storage 1-9.1.2:1.3
[164536.173341] scsi 7:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
[164536.175061] sr 7:0:0:0: [sr0] scsi-1 drive
[164536.175065] cdrom: Uniform CD-ROM driver Revision: 3.20
[164536.177504] sr 7:0:0:0: Attached scsi CD-ROM sr0
[164536.179029] sr 7:0:0:0: Attached scsi generic sg4 type 5
[164536.179954] scsi 8:0:0:0: Direct-Access     HUAWEI   TF CARD Storage  2.31 PQ: 0 ANSI: 2
[164536.182185] sd 8:0:0:0: Attached scsi generic sg5 type 0
[164536.184513] sd 8:0:0:0: [sde] Attached SCSI removable disk
[164537.318619] usbcore: registered new interface driver option
[164537.318680] usbserial: USB Serial support registered for GSM modem (1-port)
[164537.319036] option 1-9.1.2:1.0: GSM modem (1-port) converter detected
[164537.319678] usb 1-9.1.2: GSM modem (1-port) converter now attached to ttyUSB0
[164537.331023] option 1-9.1.2:1.1: GSM modem (1-port) converter detected
[164537.414486] usbcore: registered new interface driver cdc_ncm
[164537.436120] usbcore: registered new interface driver cdc_wdm
[164537.441863] usbcore: registered new interface driver huawei_cdc_ncm
[164537.966875] ISO 9660 Extensions: Microsoft Joliet Level 1
[164537.978845] ISOFS: changing to secondary root
[164539.711847] usb 1-9.1.2: USB disconnect, device number 11
[164539.712276] option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
[164539.712321] option 1-9.1.2:1.0: device disconnected
[164539.712500] option 1-9.1.2:1.1: device disconnected
[164549.096176] usb 1-9.1.2: new high-speed USB device number 12 using xhci_hcd
[164549.172601] usb 1-9.1.2: New USB device found, idVendor=12d1, idProduct=1506
[164549.172610] usb 1-9.1.2: New USB device strings: Mfr=3, Product=2, SerialNumber=0
[164549.172612] usb 1-9.1.2: Product: HUAWEI Mobile
[164549.172614] usb 1-9.1.2: Manufacturer: HUAWEI Technology
[164549.213476] option 1-9.1.2:1.0: GSM modem (1-port) converter detected
[164549.213981] usb 1-9.1.2: GSM modem (1-port) converter now attached to ttyUSB0
[164549.214220] option 1-9.1.2:1.1: GSM modem (1-port) converter detected
[164549.214401] usb-storage 1-9.1.2:1.2: USB Mass Storage device detected
[164549.220527] scsi host7: usb-storage 1-9.1.2:1.2
[164549.221391] usb-storage 1-9.1.2:1.3: USB Mass Storage device detected
[164549.221604] scsi host8: usb-storage 1-9.1.2:1.3
[164550.221731] scsi 7:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
[164550.223735] sr 7:0:0:0: [sr0] scsi-1 drive
[164550.225388] scsi 8:0:0:0: Direct-Access     HUAWEI   TF CARD Storage  2.31 PQ: 0 ANSI: 2
[164550.227634] sr 7:0:0:0: Attached scsi CD-ROM sr0
[164550.233015] sr 7:0:0:0: Attached scsi generic sg4 type 5
[164550.241119] sd 8:0:0:0: Attached scsi generic sg5 type 0
[164550.260048] sd 8:0:0:0: [sde] Attached SCSI removable disk
[164550.650217] ISO 9660 Extensions: Microsoft Joliet Level 1
[164550.650795] ISOFS: changing to secondary root


But still not enough information in Network Manager why couldn't connect to 4G network. May be sim card is locked or broken or not enough money on account. This information are necessary as the air because modem sim card is not compatible with modern phones (Nano-SIM). And transfer SIM card to phone is not possible.
Comment 5 Mikhail 2016-07-27 10:08 EDT
Created attachment 1184667 [details]
screencast
Comment 6 samoht0 2016-07-28 15:07:31 EDT
(In reply to Mikhail from comment #4)
> But still not enough information in Network Manager why couldn't connect to
> 4G network. May be sim card is locked or broken or not enough money on
> account. This information are necessary as the air because modem sim card is
> not compatible with modern phones (Nano-SIM). And transfer SIM card to phone
> is not possible.

Are you sure, idVendor=12d1, idProduct=1506 is not the target (modem) mode? I think so, as this config is for 12d1:14fe:

# Huawei E352 (T-Mobile NL), E173s (Variant)
TargetVendor=0x12d1
TargetProductList="*1506*,150f,151d,1c1e"
HuaweiNewMode=1

Also the "option" modem device driver is loaded:
option 1-9.1.2:1.1: GSM modem (1-port) converter detected

AFAIK the E398 needs ModemManager running and a mobile broadband connection profile set up (no hostless modem).
Comment 7 Mikhail 2016-07-28 18:21:00 EDT
$ lsusb
Bus 002 Device 002: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 004: ID 8564:1000 Transcend Information, Inc. JetFlash
Bus 001 Device 010: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 001 Device 009: ID 13fe:3623 Kingston Technology Company Inc. 
Bus 001 Device 008: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Bus 001 Device 007: ID 046d:c326 Logitech, Inc. 
Bus 001 Device 015: ID 12d1:1506 Huawei Technologies Co., Ltd. Modem/Networkcard
Bus 001 Device 005: ID 046d:08d9 Logitech, Inc. QuickCam IM/Connect
Bus 001 Device 003: ID 1a40:0201 Terminus Technology Inc. FE 2.1 7-port Hub
Bus 001 Device 002: ID 2109:2812 VIA Labs, Inc. VL812 Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub



The modem seems works, I checked this with mmcli utility:
[mikhail@localhost ~]$ mmcli -L

Found 1 modems:
	/org/freedesktop/ModemManager1/Modem/2 [huawei] E3276

[mikhail@localhost ~]$ mmcli -m 2 --simple-status

/org/freedesktop/ModemManager1/Modem/2
  -------------------------
  Status |          state: 'searching'
  -------------------------
  3GPP   |   subscription: 'unknown'

[mikhail@localhost ~]$ mmcli -m 2 --3gpp-scan --timeout=300

Found 10 networks:
25002 - MegaFon RUS (lte, available)
25002 - MegaFon RUS (umts, available)
25002 - MegaFon RUS (gsm, available)
25099 - Beeline (gsm, forbidden)
25001 - MTS-RUS (gsm, forbidden)
25099 - Beeline (lte, forbidden)
25001 - MTS-RUS (lte, forbidden)
25099 - Beeline (umts, forbidden)
25001 - MTS-RUS (umts, forbidden)
25011 - unknown (lte, available)

[mikhail@localhost ~]$ mmcli -m 2 --3gpp-register-home --timeout=300
error: couldn't register the modem: 'GDBus.Error:org.freedesktop.ModemManager1.Error.MobileEquipment.NetworkNotAllowed: Network not allowed - emergency calls only'


Thanks for nice documentation: http://www.lanedo.com/users/amorgado/modem-manager/api-20121005/mmcli.html

So would be good having GUI implementation in NetworkManager. Many questions have immediately fallen away.
Comment 8 Mikhail 2016-07-29 05:27:56 EDT
After replacing SIM card:

[mikhail@localhost ~]$ mmcli -m 4 --simple-status

/org/freedesktop/ModemManager1/Modem/4
  -------------------------
  Status |          state: 'connected'
         | signal quality: '70' (recent)
         |          bands: 'unknown'
         |    access tech: 'edge'
  -------------------------
  3GPP   |   registration: 'home'
         |  operator code: '25002'
         |  operator name: 'MegaFon'
         |   subscription: 'unknown'

[mikhail@localhost ~]$ ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: enp2s0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc fq_codel state DOWN group default qlen 1000
    link/ether 94:de:80:6b:dd:24 brd ff:ff:ff:ff:ff:ff
10: wwp0s20u9u1u2i1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UNKNOWN group default qlen 1000
    link/ether 0c:5b:8f:27:9a:64 brd ff:ff:ff:ff:ff:ff
    inet 10.210.222.123/29 brd 10.210.222.127 scope global wwp0s20u9u1u2i1
       valid_lft forever preferred_lft forever
[mikhail@localhost ~]$ route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
0.0.0.0         10.210.222.121  0.0.0.0         UG    700    0        0 wwp0s20u9u1u2i1
10.210.222.120  0.0.0.0         255.255.255.248 U     700    0        0 wwp0s20u9u1u2i1
[mikhail@localhost ~]$ cat /etc/resolv.conf 
# Generated by NetworkManager
nameserver 10.163.182.9
nameserver 10.163.182.8
[mikhail@localhost ~]$ ping bugzilla.redhat.com
ping: bugzilla.redhat.com: Name or service not known
[mikhail@localhost ~]$ ping 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=50 time=11379 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=50 time=10555 ms
64 bytes from 8.8.8.8: icmp_seq=3 ttl=50 time=11440 ms
64 bytes from 8.8.8.8: icmp_seq=4 ttl=50 time=11390 ms
64 bytes from 8.8.8.8: icmp_seq=5 ttl=50 time=11428 ms
64 bytes from 8.8.8.8: icmp_seq=6 ttl=50 time=10995 ms
64 bytes from 8.8.8.8: icmp_seq=7 ttl=50 time=10282 ms
64 bytes from 8.8.8.8: icmp_seq=8 ttl=50 time=10704 ms
64 bytes from 8.8.8.8: icmp_seq=9 ttl=50 time=9868 ms
64 bytes from 8.8.8.8: icmp_seq=10 ttl=50 time=9520 ms
^C
--- 8.8.8.8 ping statistics ---
19 packets transmitted, 10 received, 47% packet loss, time 18004ms
rtt min/avg/max/mdev = 9520.882/10756.616/11440.889/659.543 ms, pipe 12
[mikhail@localhost ~]$ ping 10.163.182.9
PING 10.163.182.9 (10.163.182.9) 56(84) bytes of data.
^C
--- 10.163.182.9 ping statistics ---
58 packets transmitted, 0 received, 100% packet loss, time 56999ms

[mikhail@localhost ~]$ ping 10.163.182.8
PING 10.163.182.8 (10.163.182.8) 56(84) bytes of data.
^C
--- 10.163.182.8 ping statistics ---
55 packets transmitted, 0 received, 100% packet loss, time 53999ms

[mikhail@localhost ~]$ ping 10.210.222.121
PING 10.210.222.121 (10.210.222.121) 56(84) bytes of data.
^C
--- 10.210.222.121 ping statistics ---
84 packets transmitted, 0 received, 100% packet loss, time 82999ms

[mikhail@localhost ~]$ ping 10.163.182.11
PING 10.163.182.11 (10.163.182.11) 56(84) bytes of data.
^C
--- 10.163.182.11 ping statistics ---
7 packets transmitted, 0 received, 100% packet loss, time 6000ms

[mikhail@localhost ~]$ ping 10.163.182.10
PING 10.163.182.10 (10.163.182.10) 56(84) bytes of data.
^C
--- 10.163.182.10 ping statistics ---
3 packets transmitted, 0 received, 100% packet loss, time 1999ms

[mikhail@localhost ~]$ ping 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
^C
--- 8.8.8.8 ping statistics ---
5 packets transmitted, 0 received, 100% packet loss, time 3999ms

[mikhail@localhost ~]$ ping bugzilla.redhat.com
ping: bugzilla.redhat.com: Name or service not known
[mikhail@localhost ~]$ ping 10.163.182.8
PING 10.163.182.8 (10.163.182.8) 56(84) bytes of data.
^C
--- 10.163.182.8 ping statistics ---
105 packets transmitted, 0 received, 100% packet loss, time 103999ms

We see that wwp0s20u9u1u2i1 have IP address, but not internet :(
Comment 9 Mikhail 2016-07-29 06:21:22 EDT
Seems problem with DNS related to this https://bugzilla.redhat.com/show_bug.cgi?id=467004
Comment 10 Mikhail 2016-07-30 13:32:52 EDT
All works: https://youtu.be/i0b-FCpNZV0

Time for answering questions:
1) Why 8.8.8.8 have so bad ping
Because I pulled wire from network card and connected via modem. I did not close programs and tabs in the browser, they can consume considerable traffic for modem.
And at time uses access tech: 'edge'

2) Why not pinged provider name servers.
Because they never Ping. Even under Windows.

So I close this bug report.

And open one new https://bugzilla.redhat.com/show_bug.cgi?id=1361805

Note You need to log in before you can comment on or make changes to this bug.